use stumpalo::Arena;

#[test]
// Not testing a specific error string, because it comes from Layout
#[should_panic]
fn invalid_layout() {
    let arena = Arena::new();
    let huge_len = isize::MAX as usize;
    let _: &mut [u8] = arena.alloc_slice_fill_with(huge_len, |_| 0u8);
}
